# Upgrade steps from 5.4 to 6.0

## Legacy

Legacy is now removed from the install by default. The integration which was done using
`LegacyBundle` has been moved out and made available as own composer packages called [LegacyBridge](https://github.com/ezsystems/LegacyBridge).

This move implied some changes where needed, so if you need to continue to use legacy make sure to apply the changes
below, and further changes described in [doc/upgrade in legacy bridge](https://github.com/ezsystems/LegacyBridge/tree/master/doc/upgrade).

### Legacy mode
`ezpublish.system.<siteaccessName>.legacy_mode` setting has been removed.
Move your setting to `ez_publish_legacy` (legacy-bridge) namespace instead.

*Before*:
```yml
ezpublish:
    system:
        my_siteaccess:
            legacy_mode: true
```

*After*:
```yml
ez_publish_legacy:
    system:
        my_siteaccess:
            legacy_mode: true
```

### Legacy aware routes
`ezpublish.router.default_router.legacy_aware_routes` setting has been removed.
Move your setting to `ez_publish_legacy` (LegacyBundle) namespace instead.

*Before*:
```yml
ezpublish:
    router:
        default_router:
            legacy_aware_routes: ["my_route"]
```

*After*:
```yml
ez_publish_legacy:
    legacy_aware_routes: ["my_route"]
```

### Controllers
* If you used `getLegacyKernel()` shorthand method, ensure you make your controller extend `eZ\Bundle\EzPublishLegacyBundle\Controller`.

## Update field sort keys for `ezstring` and `ezobjectrelationlist` field types

Note: you do not need to execute this if upgrading from 5.3.x version higher than 5.3.5
or from 5.4.x version higher than 5.4.2.

Execute following commands from the installation root directory:

1. `php app/console ezpublish:update:legacy_storage_update_sort_keys ezstring`
2. `php app/console ezpublish:update:legacy_storage_update_sort_keys ezobjectrelation`
